#include "dbinit_create.h"

/*
 * dbinit_create.c
 *
 * Creates tables in an existing database.
 * Should probably be run only from the 'dbinit' script.
 *
 */

void main()
{
   /* Initialize the backend */
   initBackend();

   /* start a transaction block */
   startTransaction();

   /* run the queries */
   runQuery(QUERY1);
   runQuery(QUERY2);
   runQuery(QUERY3);
   runQuery(QUERY4);
   runQuery(QUERY5);

   /* End the transaction */
   endTransaction();

   printf("Tables created.\n");
   exit_nicely();
}

